<?php
/**
 * Created by David Wood for his "Theme Customizer"
 * talk at WordCamp Orlando, 2014.
 *
 * http://davidwood.ninja/
 *
 * GPL v3.0
 *
 * This file has an example of creating a section with a single option. It also
 * lists the most commonly used options and some not so common, but helpful ones.
 */

add_action( 'customize_register', 'wco_header_options' );

/**
 * @param WP_Customize_Manager $wp_customize
 */
function wco_header_options( $wp_customize ) {

	// Add a section to hold our controls
	$wp_customize->add_section(
	// Our section's unique ID
		'wco_header_options_section',
		// Our array of arguments
		array(
			// This is the title of our section
			'title'          => 'Header Options',
			// This is a simple description of the section
			'description'    => 'A section containing header specific options',
			// This determines the order sections appear
			'priority'       => 2,
		)
	);

	// Adds a setting
	$wp_customize->add_setting(
	// Our setting ID, used to retrieve the value
		'wco_logo'
	);

	// Adds a control
	$wp_customize->add_control(
		// Use an alternative control class
		new WP_Customize_Image_Control(
			// Our WP_Customize_Manager object
			$wp_customize,
			// Our control ID, typically same as setting ID
			'wco_logo_control',
			// Our arguments
			array(
				// Displayed label for this field
				'label' => 'Site Logo',
				// Description for this control
				'description' => "Upload your site's logo",
				// Section ID this control should appear in
				'section' => 'wco_header_options_section',
				// This will attach the setting if the control ID is different
				'settings' => 'wco_logo',
			)
		)
	);

}