<?php
/**
 * Created by David Wood for his "Theme Customizer"
 * talk at WordCamp Orlando, 2014.
 *
 * http://davidwood.ninja/
 *
 * GPL v3.0
 *
 * This file has an example of creating a section with a single option. It also
 * lists the most commonly used options and some not so common, but helpful ones.
 */

add_action( 'customize_register', 'wco_add_to_existing' );

/**
 * @param WP_Customize_Manager $wp_customize
 */
function wco_add_to_existing ( $wp_customize ) {

	// Adds a setting
	$wp_customize->add_setting(
	// Our setting ID, used to retrieve the value
		'wco_masthead_bg',
		// Our arguments
		array(
			// Default value
			'default' => '#09314b',
		)
	);

	// Adds a control
	$wp_customize->add_control(
	// Use an alternative control class
		new WP_Customize_Color_Control(
		// Our WP_Customize_Manager object
			$wp_customize,
			// Our control ID, typically same as setting ID
			'wco_masthead_bg',
			// Our arguments
			array(
				// Displayed label for this field
				'label' => 'Masthead Background',
				// Description for this control
				'description' => 'Header bar background color',
				// Section ID this control should appear in
				'section' => 'colors',
			)
		)
	);

}