<?php
/**
 * This starts the addition of our theme options, see the
 * files in the "customizer-code" directory for how to
 * add different types of options.
 */ 
include( dirname( __FILE__ ) . '/customizer-code/00-start-here.php' );

// Add theme suport, can also be used to remove theme support
add_action( 'after_setup_theme', 'wco_after_setup_theme' );
function wco_after_setup_theme() {
	add_theme_support( 'custom-background' );
	add_theme_support( 'post-thumbnails' );
}

// Adds our custom JS to the customizer, used to allow live updates in the preview
add_action( 'customize_preview_init', 'tcx_customizer_live_preview' );
function tcx_customizer_live_preview() {
	wp_enqueue_script(
		'wco-theme-customizer',
		get_template_directory_uri() . '/customizer-code/wco-customizer.js',
		array( 'jquery', 'customize-preview' ),
		'1.0',
		true
	);
}

// This enqueues the themes Style.css file
add_action( 'wp_enqueue_scripts', 'wco_enqueue_scripts' );
function wco_enqueue_scripts() {
	wp_enqueue_style( 'wco-demo-theme', get_stylesheet_uri() );
	
	/**
	 * This is the better example of how to enqueue custom styles
	 * that are added via your theme customizer settings. Note that
	 * the stylesheet you want to override MUST be enqueued before
	 * you use `wp_add_inline_style()`.
	 */
	$background_color = get_theme_mod( 'wco_masthead_bg', '#09314b' );
	$styles = ".masthead { background: {$background_color}; }";
	
	// See http://codex.wordpress.org/Function_Reference/wp_add_inline_style
	wp_add_inline_style( 'wco-demo-theme', $styles );
}

//add_action( 'wp_head', 'wco_print_styles' );
/**
 * This function was originally used in my demo, but I have since
 * found the correct way to add custom CSS to the page. See the
 * above function for the better way.
 */
function wco_print_styles() {
	$background_color = get_theme_mod( 'wco_masthead_bg', '#09314b' );
	?>
	<style id="wco_styles">
		.masthead {
			background: <?php echo $background_color; ?>;
		}
	</style>
	<?php
}
