<!DOCTYPE html>
<html>
<head>
	<title><?php wp_title(); ?></title>
	<?php wp_head(); ?>
</head>
<body>

<div class="masthead">
	<div class="row">
		<div class="columns small-6 header-address">
			<?php echo esc_html( get_theme_mod( 'wco_address', 'This is a default value!' ) ); ?>
		</div>
	</div>
</div>

<header>
	<div class="column" style="text-align: center;">
		<?php
		$logo_url = get_theme_mod( 'wco_logo' );
		if ( $logo_url ) {
			?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>">
				<img src="<?php echo esc_url( $logo_url ); ?>" alt="logo" />
			</a>
		<?php
		} else {
			?>
			<h1>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>">
					<?php bloginfo( 'title' ); ?>
				</a>
			</h1>
			<p><?php bloginfo( 'description' ); ?></p>
		<?php
		}
		?>
	</div>
</header>

<?php
include( 'homepage/featured-pages.php' );
include( 'homepage/cool-bar.php' );
?>

<?php wp_footer(); ?>

</body>
</html>